logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2019-15926

Description

An issue was discovered in the Linux kernel before 5.2.3. Out of bounds access exists in the functions ath6kl_wmi_pstream_timeout_event_rx and ath6kl_wmi_cac_event_rx in the file drivers/net/wireless/ath/ath6kl/wmi.c.


Affected Package


OS OS Version Package Name Package Version
ubuntu 19.04 linux 5.0.0-31.33
ubuntu 12.04 linux any
ubuntu 14.04 linux any
ubuntu upstream linux 5.3~rc1
ubuntu 16.04 linux 4.4.0-165.193
ubuntu 19.04 linux-aws 5.0.0-1018.20
ubuntu 14.04 linux-aws any
ubuntu upstream linux-aws 5.3~rc1
ubuntu 16.04 linux-aws 4.4.0-1095.106
ubuntu upstream linux-aws-5.0 5.3~rc1
ubuntu upstream linux-aws-hwe 5.3~rc1
ubuntu 16.04 linux-aws-hwe 4.15.0-1047.49~16.04.1
ubuntu 19.04 linux-azure 5.0.0-1022.23
ubuntu 14.04 linux-azure 4.15.0-1059.64~14.04.1
ubuntu upstream linux-azure 5.3~rc1
ubuntu 16.04 linux-azure 4.15.0-1056.61
ubuntu upstream linux-azure-5.3 5.3~rc1
ubuntu upstream linux-azure-edge 5.3~rc1
ubuntu 16.04 linux-azure-edge 4.15.0-1056.61
ubuntu 19.04 linux-gcp 5.0.0-1020.20
ubuntu upstream linux-gcp 5.3~rc1
ubuntu 16.04 linux-gcp 4.15.0-1041.43
ubuntu upstream linux-gcp-5.3 5.3~rc1
ubuntu upstream linux-gcp-edge 5.3~rc1
ubuntu upstream linux-gke-4.15 5.3~rc1
ubuntu upstream linux-gke-5.0 5.3~rc1
ubuntu upstream linux-gke-5.3 5.3~rc1
ubuntu upstream linux-hwe 5.3~rc1
ubuntu 16.04 linux-hwe 4.15.0-60.67~16.04.1
ubuntu upstream linux-hwe-edge 5.3~rc1
ubuntu 16.04 linux-hwe-edge 4.15.0-60.67~16.04.1
ubuntu 19.04 linux-kvm 5.0.0-1019.20
ubuntu upstream linux-kvm 5.3~rc1
ubuntu 16.04 linux-kvm 4.4.0-1059.66
ubuntu 12.04 linux-lts-trusty any
ubuntu upstream linux-lts-trusty 5.3~rc1
ubuntu 14.04 linux-lts-xenial any
ubuntu upstream linux-lts-xenial 5.3~rc1
ubuntu 19.04 linux-oem was pending \[4.15.0-1056.65\] now end-of-life
ubuntu 19.10 linux-oem 4.15.0-1059.68
ubuntu upstream linux-oem 5.3~rc1
ubuntu 16.04 linux-oem any
ubuntu upstream linux-oem-5.6 5.3~rc1
ubuntu 19.10 linux-oem-osp1 5.0.0-1024.27
ubuntu upstream linux-oem-osp1 5.3~rc1
ubuntu 19.04 linux-oracle 5.0.0-1004.8
ubuntu upstream linux-oracle 5.3~rc1
ubuntu 16.04 linux-oracle 4.15.0-1022.25~16.04.1
ubuntu upstream linux-oracle-5.0 5.3~rc1
ubuntu upstream linux-oracle-5.3 5.3~rc1
ubuntu 19.04 linux-raspi2 5.0.0-1019.19
ubuntu upstream linux-raspi2 5.3~rc1
ubuntu 16.04 linux-raspi2 4.4.0-1123.132
ubuntu upstream linux-raspi2-5.3 5.3~rc1
ubuntu 19.04 linux-snapdragon 5.0.0-1023.24
ubuntu upstream linux-snapdragon 5.3~rc1
ubuntu 16.04 linux-snapdragon 4.4.0-1127.135

Related